Bug 214472 - net/xrdp : remove expired optional REALVNC (net/vnc) dependency
Summary: net/xrdp : remove expired optional REALVNC (net/vnc) dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-13 11:54 UTC by Rene Ladan
Modified: 2016-11-14 19:10 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (meta)


Attachments
patch to remove optional dependency on net/vnc (723 bytes, patch)
2016-11-13 11:54 UTC, Rene Ladan
no flags Details | Diff
patch to remove optional dependency on net/vnc (xrdp-devel) (715 bytes, patch)
2016-11-13 11:55 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2016-11-13 11:54:30 UTC
Created attachment 176950 [details]
patch to remove optional dependency on net/vnc

net/xrdp (and net/xrdp-devel) have an optional dependency on net/vnc (off by default) but that port expired on 2016-09-01, so lets remove it.

Patches for net/xrdp and net/xrdp-devel are attached.
Comment 1 Rene Ladan freebsd_committer 2016-11-13 11:55:09 UTC
Created attachment 176951 [details]
patch to remove optional dependency on net/vnc (xrdp-devel)
Comment 2 Koichiro Iwao freebsd_committer 2016-11-14 01:53:07 UTC
LGTM. Thanks.

The latest development snapshot of xrdp no longer depends on VNCs.
I will remove dependencies on all VNCs in a month but let's remove RealVNC first.
Comment 3 commit-hook freebsd_committer 2016-11-14 19:07:30 UTC
A commit references this bug:

Author: rene
Date: Mon Nov 14 19:06:32 UTC 2016
New revision: 426131
URL: https://svnweb.freebsd.org/changeset/ports/426131

Log:
  Remove non-default REALVNC option from net/xrdp and net/xrdp-devel,
  it depends on the expired net/vnc port.

  PR:		214472
  Submitted by:	myself
  Approved by:	maintainer (meta+ports@vmeta.jp)

Changes:
  head/net/xrdp/Makefile
  head/net/xrdp-devel/Makefile